ENVSUBST(1)

NAME
envsubst - substitutes environment variables in shell format strings

SYNOPSIS
envsubst [OPTION] [SHELL-FORMAT]

DESCRIPTION

Substitutes the values of environment variables.

  Operation mode:

-v, --variables
    output the variables occurring in SHELL-FORMAT

  Informative output:

-h, --help
    display this help and exit

-V, --version
    output version information and exit

In normal operation mode, standard input is copied to standard output, with references to environment variables of the form $VARIABLE or ${VARIABLE} being replaced with the corresponding values. If a SHELL-FORMAT is given, only those environment variables that are referenced in SHELL-FORMAT are substituted; otherwise all environment variables references occurring in standard input are substituted.

When --variables is used, standard input is ignored, and the output consists of the environment variables that are referenced in SHELL-FORMAT, one per line.

AUTHOR
Written by Bruno Haible.

REPORTING BUGS
Report bugs in the bug tracker at <https://savannah.gnu.org/projects/gettext> or by email to <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2003-2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for envsubst is maintained as a Texinfo manual. If the info and envsubst programs are properly installed at your site, the command

    info envsubst

should give you access to the complete manual.